Bug 906410 - Generate answer file when running on live mode
Generate answer file when running on live mode
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: snapshot3
: ---
Assigned To: Martin Magr
Nir Magnezi
: Improvement, Triaged
Depends On:
Blocks: 905160
  Show dependency treegraph
 
Reported: 2013-01-31 10:37 EST by Flavio Percoco
Modified: 2013-03-05 16:03 EST (History)
4 users (show)

See Also:
Fixed In Version: openstack-packstack-2012.2.2-0.9.dev406
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-05 16:03:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 20984 None None None Never

  None (edit)
Description Flavio Percoco 2013-01-31 10:37:46 EST
Description of problem:

Packstack doesn't generate an answer file when running on live mode. 


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. run packstack on live mode
2.
3.
  
Actual results:


Expected results:
An answer file should be generated somewhere in the filesystem in order to allow the user for running packstack again with the same parameters and / or knowing what parameters were used (i.e: automatic generated passwords)


Additional info:
Comment 1 Derek Higgins 2013-02-11 21:18:07 EST
fix merged upstream
https://review.openstack.org/#/c/21649/
Comment 3 Nir Magnezi 2013-02-17 07:08:54 EST
Verified NVR: openstack-packstack-2012.2.2-1.0.dev408.el6ost.noarch

1. Ran packstack without answers file.
2. A file named answers.txt was created at the end of the installation by packstack.
Comment 4 Stephen Gordon 2013-02-19 14:30:21 EST
What happens if the user already has an answers.txt file in the current working directory and/or their home directory? Also given the concerns Kurt has raised with the usage of /tmp elsewhere in packstack should it be in the list to check here (currently it is)?
Comment 7 errata-xmlrpc 2013-03-05 16:03:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0595.html

Note You need to log in before you can comment on or make changes to this bug.